LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 01-24-2019, 07:12 PM   #1
The_Dark_Passenger
Member
 
Registered: Apr 2018
Distribution: Slackware64 14.2 & -Current
Posts: 44

Rep: Reputation: Disabled
Is PEAR that's distributed with Slackware's PHP package safe?


Hi,

Recently, it has come out that PEAR's package had been compromised for approximately the last six months. It appears someone managed to replace the package on their website with a version that includes a possible backdoor. More info can be found here, https://arstechnica.com/information-...cial-download/

I was just wondering if anyone knows if PEAR that is distributed in Slackware's PHP package is compromised. or if it's safe?

Last edited by The_Dark_Passenger; 01-27-2019 at 07:18 PM.
 
Old 01-25-2019, 03:07 AM   #2
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 4,792

Rep: Reputation: Disabled
Slackware installs the pear bundled with php, it doesn't use (nor ships) the go-pear.phar file cited in the article.
 
1 members found this post helpful.
Old 01-27-2019, 07:17 PM   #3
The_Dark_Passenger
Member
 
Registered: Apr 2018
Distribution: Slackware64 14.2 & -Current
Posts: 44

Original Poster
Rep: Reputation: Disabled
Thank you for clarifying that ponce. That's good to know.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
SSL issue after pear channel-update pear.php.net msoa Programming 0 08-07-2015 11:45 AM
Installing PEAR on a system which is configured '--without pear' swiftguy121 Linux - Software 1 07-10-2007 07:45 PM
PHP5 Upgrade Error: Missing Dependency: php = 4.3.x is needed by package php-pear vsystems Linux - Server 1 05-02-2007 07:17 AM
install Pear Net/SMTP, Pear Log and Pear DB modules cccc Debian 0 02-26-2007 08:33 AM
PHP Pear library - is DB_common::affectedRows () safe in multiply accessed databases? trevelluk Programming 2 01-10-2005 08:22 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 08:16 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration